POST api/MedicalExamcos/PostAdditionalInfo

Request Information

URI Parameters

None.

Body Parameters

Collection of CorporationExamquestionnaireMappingDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CaseNo

integer

None.

ExamId

string

String length: inclusive between 0 and 20

CorporationCode

string

String length: inclusive between 0 and 20

DataField

string

String length: inclusive between 0 and 100

SMQuestion

string

String length: inclusive between 0 and 500

Data

string

String length: inclusive between 0 and 4000

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "Id": 1,
    "CaseNo": 2,
    "ExamId": "sample string 3",
    "CorporationCode": "sample string 4",
    "DataField": "sample string 5",
    "SMQuestion": "sample string 6",
    "Data": "sample string 7",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:27:47.2342289-07:00",
    "DateUpdated": "2026-08-04T14:27:47.2342289-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  },
  {
    "Id": 1,
    "CaseNo": 2,
    "ExamId": "sample string 3",
    "CorporationCode": "sample string 4",
    "DataField": "sample string 5",
    "SMQuestion": "sample string 6",
    "Data": "sample string 7",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:27:47.2342289-07:00",
    "DateUpdated": "2026-08-04T14:27:47.2342289-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCorporationExamquestionnaireMappingDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationExamquestionnaireMappingDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CaseNo": 2,
      "ExamId": "sample string 3",
      "CorporationCode": "sample string 4",
      "DataField": "sample string 5",
      "SMQuestion": "sample string 6",
      "Data": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:47.2342289-07:00",
      "DateUpdated": "2026-08-04T14:27:47.2342289-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CaseNo": 2,
      "ExamId": "sample string 3",
      "CorporationCode": "sample string 4",
      "DataField": "sample string 5",
      "SMQuestion": "sample string 6",
      "Data": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:47.2342289-07:00",
      "DateUpdated": "2026-08-04T14:27:47.2342289-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}